package common.dimension;

import java.util.Set;

import common.collect.Sets;

public final class Sector extends Nameable implements Comparable<Sector> {
	public final String id;
	private final Set<Star> stars = Sets.newTreeSet();
	
	public Sector(String id) {
		this.id = id;
	}
	
	public void addStar(Star star) {
		this.stars.add(star);
	}
	
	public int compareTo(Sector other) {
		return other == null ? -1 : this.id.compareTo(other.id);
	}
    
	protected String getNameIdentifier() {
		return "Sektor %s";
	}
	
	protected String getIdentifier() {
		return this.id;
	}
}
